Latest reviews

Seems like your DLL files are modified, outdated, or missing.
You may download the latest compatible RustClient/RustBuster on:
www.tinyurl.com/rustbuster2
Or use the RustBuster2016VerifyerAndUpdater.exe!

I get this after connecting to my private server
Maybe you can provide the server to let me build